Package ghidra.framework

# Enum Class Architecture

java.lang.Object
java.lang.Enum<Architecture>
ghidra.framework.Architecture

All Implemented Interfaces:
  `Serializable`, `Comparable<Architecture>`, `Constable`

public enum Architecture extends Enum<Architecture>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ARM_64`
  `POWERPC`
  `POWERPC_64`
  `UNKNOWN`
  `X86`
  `X86_64`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static Architecture`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Architecture[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### X86

    public static final Architecture X86

  - ### X86_64

    public static final Architecture X86_64

  - ### POWERPC

    public static final Architecture POWERPC

  - ### POWERPC_64

    public static final Architecture POWERPC_64

  - ### ARM_64

    public static final Architecture ARM_64

  - ### UNKNOWN

    public static final Architecture UNKNOWN

- ## Method Details

  - ### values

    public static Architecture[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Architecture valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<Architecture>`